Help Centre FAQs General LSC software & OSX Catalina (10.15) compatibility
LSC software & OSX Catalina (10.15) compatibility PDF Print E-mail

The latest version of OSX (v10.15 a.k.a. Catalina) has discontinued support for 32bit software. This means that many older software packages will not run on Catalina.

LSC is fully committed to providing 64bit versions of all current and future software products to ensure full compatibility with Mac OSX now and into the future.

All current LSC products are supported on OSX Catalina:

  • HOUSTON X
  • Mantra-Mini
  • LSC Clarity (v2.7 onwards)

Last Updated ( Wednesday, 17 June 2020 09:38 )
 

Loading...

JoomlaWatch Stats 1.2.9 by Matej Koval